Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a thread

Mark every message read or unread, or move it to inbox, archive, spam or trash (moving out of trash restores it). Labels have their own routes: POST, PUT and DELETE /inboxes/{inbox_id}/threads/{thread_id}/labels.

PATCH/inboxes/{inbox_id}/threads/{thread_id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
inbox_idstringrequired

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>required

The thread ID

Request body
application/json
readboolean

Marks every message read or unread

folderstring

sent is assigned, never chosen

Allowed:inboxarchivespamtrash
Responses
200

Thread updated

objectstringrequired
Allowed:inbox_thread
idstring<uuid>required
subjectstring | nullrequired
folderstringrequired
Allowed:inboxarchivespamsenttrash
labelsobject[]required
Show properties
Array of object
idstring<uuid>required
namestringrequired
colorstringrequired
readbooleanrequired
quarantinedintegerrequired

BillionSend extension: held messages; 0 for inbox-scoped keys

401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Inbox or thread not found

statusCodenumberrequired
namestringrequired
messagestringrequired
422

Validation error

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "read": true,
  "folder": "inbox"
}'
Response
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "subject": "string",
  "folder": "inbox",
  "labels": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string"
    }
  ],
  "read": true,
  "quarantined": 0
}

Was this page helpful?